PROJ = qwk2pktd
PROJFILE = qwk2pktd.mak
DEBUG = 0

CC  = cl
CFLAGS_G  = /AL /W4 /DQWKIMPORT /DXQWKIMPORT /DBMG /BATCH /J /Zp1
CFLAGS_D  = /qc /Gidos\$(PROJ).mdt /Zr /Zi /Od
CFLAGS_R  = /Ot /Oi /Gs
MAPFILE_D  = NUL
MAPFILE_R  = NUL
LFLAGS_G  =  /NOI /STACK:4096  /BATCH
LFLAGS_D  = /CO /INC /FAR /PACKC
LFLAGS_R  = /EXE /FAR /PACKC
LINKER  = link
ILINK  = ilink
LRF  = echo > NUL
LLIBS_R  =  /NOD:LLIBCE LLIBCER
LLIBS_D  =  /NOD:LLIBCE LLIBCER

OBJS  = dos\ASSIGN.obj dos\BMG.obj dos\DELIMS.obj dos\PRSEADDR.obj dos\QWK.obj\
        dos\QWK2PKT.obj dos\STRIPS.obj dos\STRISTR.obj dos\XQWK.obj

all: dos\$(PROJ).exe

.SUFFIXES:
.SUFFIXES: .obj .c

dos\ASSIGN.obj : ASSIGN.C
!IF $(DEBUG)
        $(CC) /c $(CFLAGS_G) $(CFLAGS_D) /Fodos\ASSIGN.obj ASSIGN.C
!ELSE
        $(CC) /c $(CFLAGS_G) $(CFLAGS_R) /Fodos\ASSIGN.obj ASSIGN.C
!ENDIF

dos\BMG.obj : BMG.C
!IF $(DEBUG)
        $(CC) /c $(CFLAGS_G) $(CFLAGS_D) /Fodos\BMG.obj BMG.C
!ELSE
        $(CC) /c $(CFLAGS_G) $(CFLAGS_R) /Fodos\BMG.obj BMG.C
!ENDIF

dos\DELIMS.obj : DELIMS.C
!IF $(DEBUG)
        $(CC) /c $(CFLAGS_G) $(CFLAGS_D) /Fodos\DELIMS.obj DELIMS.C
!ELSE
        $(CC) /c $(CFLAGS_G) $(CFLAGS_R) /Fodos\DELIMS.obj DELIMS.C
!ENDIF

dos\PRSEADDR.obj : PRSEADDR.C
!IF $(DEBUG)
        $(CC) /c $(CFLAGS_G) $(CFLAGS_D) /Fodos\PRSEADDR.obj PRSEADDR.C
!ELSE
        $(CC) /c $(CFLAGS_G) $(CFLAGS_R) /Fodos\PRSEADDR.obj PRSEADDR.C
!ENDIF

dos\QWK.obj : QWK.C
!IF $(DEBUG)
        $(CC) /c $(CFLAGS_G) $(CFLAGS_D) /Fodos\QWK.obj QWK.C
!ELSE
        $(CC) /c $(CFLAGS_G) $(CFLAGS_R) /Fodos\QWK.obj QWK.C
!ENDIF

dos\QWK2PKT.obj : QWK2PKT.C
!IF $(DEBUG)
        $(CC) /c $(CFLAGS_G) $(CFLAGS_D) /Fodos\QWK2PKT.obj QWK2PKT.C
!ELSE
        $(CC) /c $(CFLAGS_G) $(CFLAGS_R) /Fodos\QWK2PKT.obj QWK2PKT.C
!ENDIF

dos\STRIPS.obj : STRIPS.C
!IF $(DEBUG)
        $(CC) /c $(CFLAGS_G) $(CFLAGS_D) /Fodos\STRIPS.obj STRIPS.C
!ELSE
        $(CC) /c $(CFLAGS_G) $(CFLAGS_R) /Fodos\STRIPS.obj STRIPS.C
!ENDIF

dos\STRISTR.obj : STRISTR.C
!IF $(DEBUG)
        $(CC) /c $(CFLAGS_G) $(CFLAGS_D) /Fodos\STRISTR.obj STRISTR.C
!ELSE
        $(CC) /c $(CFLAGS_G) $(CFLAGS_R) /Fodos\STRISTR.obj STRISTR.C
!ENDIF

dos\XQWK.obj : XQWK.C
!IF $(DEBUG)
        $(CC) /c $(CFLAGS_G) $(CFLAGS_D) /Fodos\XQWK.obj XQWK.C
!ELSE
        $(CC) /c $(CFLAGS_G) $(CFLAGS_R) /Fodos\XQWK.obj XQWK.C
!ENDIF


dos\$(PROJ).exe : $(OBJS)
!IF $(DEBUG)
        $(LRF) @<<dos\$(PROJ).lrf
$(RT_OBJS: = +^
) $(OBJS: = +^
)
$@
$(MAPFILE_D)
$(LLIBS_G: = +^
) +
$(LLIBS_D: = +^
) +
$(LIBS: = +^
)
$(DEF_FILE) $(LFLAGS_G) $(LFLAGS_D);
<<
!ELSE
        $(LRF) @<<dos\$(PROJ).lrf
$(RT_OBJS: = +^
) $(OBJS: = +^
)
$@
$(MAPFILE_R)
$(LLIBS_G: = +^
) +
$(LLIBS_R: = +^
) +
$(LIBS: = +^
)
$(DEF_FILE) $(LFLAGS_G) $(LFLAGS_R);
<<
!ENDIF
!IF $(DEBUG)
        $(ILINK) -a -e "$(LINKER) @dos\$(PROJ).lrf" $@
!ELSE
        $(LINKER) @dos\$(PROJ).lrf
!ENDIF


.c.obj :
!IF $(DEBUG)
        $(CC) /c $(CFLAGS_G) $(CFLAGS_D) /Fo$@ $<
!ELSE
        $(CC) /c $(CFLAGS_G) $(CFLAGS_R) /Fo$@ $<
!ENDIF


run: dos\$(PROJ).exe
        dos\$(PROJ).exe $(RUNFLAGS)

debug: dos\$(PROJ).exe
        CV $(CVFLAGS) dos\$(PROJ).exe $(RUNFLAGS)
